Bug 155169 - Missing Grub.conf File
Missing Grub.conf File
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-17 10:38 EDT by Randy Nielsen
Modified: 2008-02-07 22:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 22:08:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Randy Nielsen 2005-04-17 10:38:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.6) Gecko/20050317 Firefox/1.0.2

Description of problem:
I have installed FC3 on an HP Netserver LC2000.  The server has 6 9.1GB SCSI HDD's.  I had to remove the NetRaid Controller to install and created a Volume Group instead of RAID.  The install does not create a grub.conf nor a menu.lst file.  (Grub-install --recheck) cannot find a bios regardless of where I tell it to look.  This prevents Up2Date from adding the new kernels.  This same install works fine for a Dell Power Edge 2600 SCSI RAID and a single HDD on a PC.  The problem must have something to do with the Volume Group.  During boot-up the Grub menu can be accessed but only has the one entry.  I am not sure where it is getting this entry from since there is no grub.conf.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.I hae reinstalled several times.
2.
3.
  

Actual Results:  Same issue.

Expected Results:  Expected proper Grub install.

Additional info:
Comment 1 Peter Jones 2005-04-19 16:57:12 EDT
What's your partition layout look like now?

Can you show me "/proc/partitions" and "/proc/mounts" ?
Comment 2 Randy Nielsen 2005-04-19 20:51:52 EDT
I attempted to send these as attachments, but the browse window would hang every
time I accessed the /proc directory.  I used the vi editor.  I have also
attached the device.map.

/proc/partitions
major minor  #blocks  name

   8     0    8886762 sda
   8     1     104391 sda1
   8     2    8779522 sda2
   8    16    8886762 sdb
   8    17    8883913 sdb1
   8    32    8886762 sdc
   8    33    8883913 sdc1
   8    48    8886762 sdd
   8    49    8883913 sdd1
   8    64    8886762 sde
   8    65    8883913 sde1
   8    80    8886762 sdf
   8    81    8883913 sdf1
 253     0   52166656 dm-0
 253     1     786432 dm-1

/proc/mounts
rootfs / rootfs rw 0 0
/proc /proc proc rw,nodiratime 0 0
none /dev tmpfs rw 0 0
/dev/root / ext3 rw 0 0
none /dev tmpfs rw 0 0
none /selinux selinuxfs rw 0 0
/proc /proc proc rw,nodiratime 0 0
/proc/bus/usb /proc/bus/usb usbfs rw 0 0
/sys /sys sysfs rw 0 0
none /dev/pts devpts rw 0 0
none /proc/sys/fs/binfmt_misc binfmt_misc rw 0 0
sunrpc /var/lib/nfs/rpc_pipefs rpc_pipefs rw 0 0
nfsd /proc/fs/nfsd nfsd rw 0 0

/boot/grub/device.map
(fd0)   /dev/fd0
(hd0)   /dev/sda
(hd1)   /dev/sdb
(hd2)   /dev/sdc
(hd3)   /dev/sdd
(hd4)   /dev/sde
(hd5)   /dev/sdf


Comment 3 Jim Petersen 2005-04-25 21:35:12 EDT
I seem to have the same problem.
Comment 4 Matthew Miller 2006-07-10 17:08:32 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 petrosyan 2008-02-07 22:08:43 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.